- NAME
- Synopsis
- Description
- API
  - format_size
- See Also
- Copyright
- Authors

# NAME

APR::String - Perl API for manipulating APR UUIDs

# Synopsis

     use APR::String ();

     # 42_000 => " 41K",
     my $size_str = APR::String::format_size($size);

# Description

`APR::String` provides strings manipulation API.

# API

`APR::String` provides the following functions and/or methods:

## `format_size`

    my $size_str = APR::String::format_size($size);

arg1: `$size` ( integer )
ret: `$size_str`

  returns a formatted size string representation of a number. The size given in the string will be in units of bytes, kilobytes, or megabytes, depending on the size. The length of that string is always 4 chars long. For example:

      0               => "  0 ",
      42              => " 42 ",
      42_000          => " 41K",
      42_000_000      => " 40M",

since: 2.0.00

# See Also

mod_perl 2.0 documentation.

# Copyright

mod_perl 2.0 and its core modules are copyrighted under The Apache Software License, Version 2.0.

# Authors

The mod_perl development team and numerous contributors.